[uwsgi]
# Socket and pid file location/permission.
uwsgi-socket = /tmp/hpoj-site.sock
chmod-socket = 666
pidfile = /tmp/hpoj-site.pid

# You should create an account dedicated to running hpoj under uwsgi.
#uid = hpoj-uwsgi
#gid = hpoj-uwsgi

# Paths.
chdir = <hpoj repo dir>
pythonpath = <hpoj repo dir>
virtualenv = <virtualenv path>

# Details regarding HPOJ application.
protocol = uwsgi
master = true
env = DJANGO_SETTINGS_MODULE=hpoj.settings
module = hpoj.wsgi:application
optimize = 2

# Scaling settings. Tune as you like.
memory-report = true
cheaper-algo = backlog
cheaper = 3
cheaper-initial = 5
cheaper-step = 1
cheaper-rss-limit-soft = 201326592
cheaper-rss-limit-hard = 234881024
workers = 7
